diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/comment.php ./wordpress-3.3/wp-includes/comment.php
*** ./wordpress-3.2.1/wp-includes/comment.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/comment.php	2011-10-06 16:09:37.000000000 -0500
***************
*** 1664,1684 ****
  	global $wpdb;
  
  	// Do pingbacks
! 	while ($ping = $wpdb->get_row("SELECT * FROM {$wpdb->posts}, {$wpdb->postmeta} WHERE {$wpdb->posts}.ID = {$wpdb->postmeta}.post_id AND {$wpdb->postmeta}.meta_key = '_pingme' LIMIT 1")) {
! 		$mid = $wpdb->get_var( "SELECT meta_id FROM {$wpdb->postmeta} WHERE post_id = {$ping->ID} AND meta_key = '_pingme' LIMIT 1");
! 		do_action( 'delete_postmeta', $mid );
! 		$wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->postmeta} WHERE meta_id = %d", $mid ) );
! 		do_action( 'deleted_postmeta', $mid );
! 		pingback($ping->post_content, $ping->ID);
  	}
  
  	// Do Enclosures
! 	while ($enclosure = $wpdb->get_row("SELECT * FROM {$wpdb->posts}, {$wpdb->postmeta} WHERE {$wpdb->posts}.ID = {$wpdb->postmeta}.post_id AND {$wpdb->postmeta}.meta_key = '_encloseme' LIMIT 1")) {
! 		$mid = $wpdb->get_var( $wpdb->prepare("SELECT meta_id FROM {$wpdb->postmeta} WHERE post_id = %d AND meta_key = '_encloseme'", $enclosure->ID) );
! 		do_action( 'delete_postmeta', $mid );
! 		$wpdb->query( $wpdb->prepare("DELETE FROM {$wpdb->postmeta} WHERE meta_id =  %d", $mid) );
! 		do_action( 'deleted_postmeta', $mid );
! 		do_enclose($enclosure->post_content, $enclosure->ID);
  	}
  
  	// Do Trackbacks
--- 1664,1678 ----
  	global $wpdb;
  
  	// Do pingbacks
! 	while ($ping = $wpdb->get_row("SELECT ID, post_content, meta_id FROM {$wpdb->posts}, {$wpdb->postmeta} WHERE {$wpdb->posts}.ID = {$wpdb->postmeta}.post_id AND {$wpdb->postmeta}.meta_key = '_pingme' LIMIT 1")) {
! 		delete_metadata_by_mid( 'post', $ping->meta_id );
! 		pingback( $ping->post_content, $ping->ID );
  	}
  
  	// Do Enclosures
! 	while ($enclosure = $wpdb->get_row("SELECT ID, post_content, meta_id FROM {$wpdb->posts}, {$wpdb->postmeta} WHERE {$wpdb->posts}.ID = {$wpdb->postmeta}.post_id AND {$wpdb->postmeta}.meta_key = '_encloseme' LIMIT 1")) {
! 		delete_metadata_by_mid( 'post', $enclosure->meta_id );
! 		do_enclose( $enclosure->post_content, $enclosure->ID );
  	}
  
  	// Do Trackbacks
***************
*** 1717,1723 ****
  	$excerpt = str_replace(']]>', ']]&gt;', $excerpt);
  	$excerpt = wp_html_excerpt($excerpt, 252) . '...';
  
! 	$post_title = apply_filters('the_title', $post->post_title);
  	$post_title = strip_tags($post_title);
  
  	if ( $to_ping ) {
--- 1711,1717 ----
  	$excerpt = str_replace(']]>', ']]&gt;', $excerpt);
  	$excerpt = wp_html_excerpt($excerpt, 252) . '...';
  
! 	$post_title = apply_filters('the_title', $post->post_title, $post->ID);
  	$post_title = strip_tags($post_title);
  
  	if ( $to_ping ) {
***************
*** 1959,1976 ****
   * @since 2.7.0
   *
   * @param object $posts Post data object.
   * @return object
   */
! function _close_comments_for_old_posts( $posts ) {
! 	if ( empty($posts) || !is_singular() || !get_option('close_comments_for_old_posts') )
  		return $posts;
  
  	$post_types = apply_filters( 'close_comments_for_post_types', array( 'post' ) );
  	if ( ! in_array( $posts[0]->post_type, $post_types ) )
  		return $posts;
  
! 	$days_old = (int) get_option('close_comments_days_old');
! 	if ( !$days_old )
  		return $posts;
  
  	if ( time() - strtotime( $posts[0]->post_date_gmt ) > ( $days_old * 24 * 60 * 60 ) ) {
--- 1953,1971 ----
   * @since 2.7.0
   *
   * @param object $posts Post data object.
+  * @param object $query Query object.
   * @return object
   */
! function _close_comments_for_old_posts( $posts, $query ) {
! 	if ( empty( $posts ) || ! $query->is_singular() || ! get_option( 'close_comments_for_old_posts' ) )
  		return $posts;
  
  	$post_types = apply_filters( 'close_comments_for_post_types', array( 'post' ) );
  	if ( ! in_array( $posts[0]->post_type, $post_types ) )
  		return $posts;
  
! 	$days_old = (int) get_option( 'close_comments_days_old' );
! 	if ( ! $days_old )
  		return $posts;
  
  	if ( time() - strtotime( $posts[0]->post_date_gmt ) > ( $days_old * 24 * 60 * 60 ) ) {
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/comment-template.php ./wordpress-3.3/wp-includes/comment-template.php
*** ./wordpress-3.2.1/wp-includes/comment-template.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/comment-template.php	2011-11-14 15:35:44.000000000 -0600
***************
*** 362,368 ****
   * Retrieve the comment date of the current comment.
   *
   * @since 1.5.0
!  * @uses apply_filters() Calls 'get_comment_date' hook with the formated date and the $d parameter respectively
   * @uses $comment
   *
   * @param string $d The format of the date (defaults to user's config)
--- 362,368 ----
   * Retrieve the comment date of the current comment.
   *
   * @since 1.5.0
!  * @uses apply_filters() Calls 'get_comment_date' hook with the formatted date and the $d parameter respectively
   * @uses $comment
   *
   * @param string $d The format of the date (defaults to user's config)
***************
*** 832,838 ****
   *
   * The $file path is passed through a filter hook called, 'comments_template'
   * which includes the TEMPLATEPATH and $file combined. Tries the $filtered path
!  * first and if it fails it will require the default comment themplate from the
   * default theme. If either does not exist, then the WordPress process will be
   * halted. It is advised for that reason, that the default theme is not deleted.
   *
--- 832,838 ----
   *
   * The $file path is passed through a filter hook called, 'comments_template'
   * which includes the TEMPLATEPATH and $file combined. Tries the $filtered path
!  * first and if it fails it will require the default comment template from the
   * default theme. If either does not exist, then the WordPress process will be
   * halted. It is advised for that reason, that the default theme is not deleted.
   *
***************
*** 1508,1514 ****
   * @return void
   */
  function comment_form( $args = array(), $post_id = null ) {
! 	global $user_identity, $id;
  
  	if ( null === $post_id )
  		$post_id = $id;
--- 1508,1514 ----
   * @return void
   */
  function comment_form( $args = array(), $post_id = null ) {
! 	global $id;
  
  	if ( null === $post_id )
  		$post_id = $id;
***************
*** 1516,1521 ****
--- 1516,1523 ----
  		$id = $post_id;
  
  	$commenter = wp_get_current_commenter();
+ 	$user = wp_get_current_user();
+ 	$user_identity = ! empty( $user->ID ) ? $user->display_name : '';
  
  	$req = get_option( 'require_name_email' );
  	$aria_req = ( $req ? " aria-required='true'" : '' );
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/cron.php ./wordpress-3.3/wp-includes/cron.php
*** ./wordpress-3.2.1/wp-includes/cron.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/cron.php	2011-09-09 14:59:44.000000000 -0500
***************
*** 204,216 ****
  	* multiple processes on multiple web servers can run this code concurrently
  	* try to make this as atomic as possible by setting doing_cron switch
  	*/
! 	$flag = get_transient('doing_cron');
  
! 	if ( $flag > $local_time + 10*60 )
! 		$flag = 0;
  
  	// don't run if another process is currently running it or more than once every 60 sec.
! 	if ( $flag + 60 > $local_time )
  		return;
  
  	//sanity check
--- 204,216 ----
  	* multiple processes on multiple web servers can run this code concurrently
  	* try to make this as atomic as possible by setting doing_cron switch
  	*/
! 	$lock = get_transient('doing_cron');
  
! 	if ( $lock > $local_time + 10*60 )
! 		$lock = 0;
  
  	// don't run if another process is currently running it or more than once every 60 sec.
! 	if ( $lock + WP_CRON_LOCK_TIMEOUT > $local_time )
  		return;
  
  	//sanity check
***************
*** 226,235 ****
  		if ( !empty($_POST) || defined('DOING_AJAX') )
  			return;
  
! 		set_transient( 'doing_cron', $local_time );
  
  		ob_start();
! 		wp_redirect( add_query_arg('doing_wp_cron', '', stripslashes($_SERVER['REQUEST_URI'])) );
  		echo ' ';
  
  		// flush any buffers and send the headers
--- 226,236 ----
  		if ( !empty($_POST) || defined('DOING_AJAX') )
  			return;
  
! 		$doing_wp_cron = $local_time;
! 		set_transient( 'doing_cron', $doing_wp_cron );
  
  		ob_start();
! 		wp_redirect( add_query_arg('doing_wp_cron', $doing_wp_cron, stripslashes($_SERVER['REQUEST_URI'])) );
  		echo ' ';
  
  		// flush any buffers and send the headers
***************
*** 240,248 ****
  		return;
  	}
  
! 	set_transient( 'doing_cron', $local_time );
  
! 	$cron_url = get_option( 'siteurl' ) . '/wp-cron.php?doing_wp_cron';
  	wp_remote_post( $cron_url, array('timeout' => 0.01, 'blocking' => false, 'sslverify' => apply_filters('https_local_ssl_verify', true)) );
  }
  
--- 241,250 ----
  		return;
  	}
  
! 	$doing_wp_cron = $local_time;
! 	set_transient( 'doing_cron', $doing_wp_cron );
  
! 	$cron_url = get_option( 'siteurl' ) . '/wp-cron.php?doing_wp_cron=' . $doing_wp_cron;
  	wp_remote_post( $cron_url, array('timeout' => 0.01, 'blocking' => false, 'sslverify' => apply_filters('https_local_ssl_verify', true)) );
  }
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/default-constants.php ./wordpress-3.3/wp-includes/default-constants.php
*** ./wordpress-3.2.1/wp-includes/default-constants.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/default-constants.php	2011-09-09 14:59:44.000000000 -0500
***************
*** 49,55 ****
  	if ( !defined('WP_DEBUG') )
  		define( 'WP_DEBUG', false );
  
! 	// Add define('WP_DEBUG_DISPLAY', false); to wp-config.php use the globally configured setting for display_errors and not force errors to be displayed.
  	if ( !defined('WP_DEBUG_DISPLAY') )
  		define( 'WP_DEBUG_DISPLAY', true );
  
--- 49,56 ----
  	if ( !defined('WP_DEBUG') )
  		define( 'WP_DEBUG', false );
  
! 	// Add define('WP_DEBUG_DISPLAY', null); to wp-config.php use the globally configured setting for
! 	// display_errors and not force errors to be displayed. Use false to force display_errors off.
  	if ( !defined('WP_DEBUG_DISPLAY') )
  		define( 'WP_DEBUG_DISPLAY', true );
  
***************
*** 267,272 ****
--- 268,279 ----
  
  	if ( !defined('WP_POST_REVISIONS') )
  		define('WP_POST_REVISIONS', true);
+ 
+ 	/**
+ 	 * @since 3.3.0
+ 	 */
+ 	if ( !defined( 'WP_CRON_LOCK_TIMEOUT' ) )
+ 		define('WP_CRON_LOCK_TIMEOUT', 60);  // In seconds
  }
  
  /**
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/default-filters.php ./wordpress-3.3/wp-includes/default-filters.php
*** ./wordpress-3.2.1/wp-includes/default-filters.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/default-filters.php	2011-12-03 03:35:38.000000000 -0600
***************
*** 176,227 ****
  add_filter( 'the_author',         'ent2ncr',      8 );
  
  // Misc filters
! add_filter( 'option_ping_sites',    'privacy_ping_filter'                 );
! add_filter( 'option_blog_charset',  '_wp_specialchars'                    ); // IMPORTANT: This must not be wp_specialchars() or esc_html() or it'll cause an infinite loop
! add_filter( 'option_home',          '_config_wp_home'                     );
! add_filter( 'option_siteurl',       '_config_wp_siteurl'                  );
! add_filter( 'tiny_mce_before_init', '_mce_set_direction'                  );
! add_filter( 'pre_kses',             'wp_pre_kses_less_than'               );
! add_filter( 'sanitize_title',       'sanitize_title_with_dashes'          );
! add_action( 'check_comment_flood',  'check_comment_flood_db',       10, 3 );
! add_filter( 'comment_flood_filter', 'wp_throttle_comment_flood',    10, 3 );
! add_filter( 'pre_comment_content',  'wp_rel_nofollow',              15    );
! add_filter( 'comment_email',        'antispambot'                         );
! add_filter( 'option_tag_base',      '_wp_filter_taxonomy_base'            );
! add_filter( 'option_category_base', '_wp_filter_taxonomy_base'            );
! add_filter( 'the_posts',            '_close_comments_for_old_posts'       );
! add_filter( 'comments_open',        '_close_comments_for_old_post', 10, 2 );
! add_filter( 'pings_open',           '_close_comments_for_old_post', 10, 2 );
! add_filter( 'editable_slug',        'urldecode'                           );
! add_filter( 'nav_menu_meta_box_object', '_wp_nav_menu_meta_box_object'    );
  
  // Actions
! add_action( 'wp_head',             'wp_enqueue_scripts',            1     );
! add_action( 'wp_head',             'feed_links',                    2     );
! add_action( 'wp_head',             'feed_links_extra',              3     );
! add_action( 'wp_head',             'rsd_link'                             );
! add_action( 'wp_head',             'wlwmanifest_link'                     );
! add_action( 'wp_head',             'index_rel_link'                       );
! add_action( 'wp_head',             'parent_post_rel_link',          10, 0 );
! add_action( 'wp_head',             'start_post_rel_link',           10, 0 );
  add_action( 'wp_head',             'adjacent_posts_rel_link_wp_head', 10, 0 );
! add_action( 'wp_head',             'locale_stylesheet'                    );
! add_action( 'publish_future_post', 'check_and_publish_future_post', 10, 1 );
! add_action( 'wp_head',             'noindex',                       1     );
! add_action( 'wp_head',             'wp_print_styles',               8     );
! add_action( 'wp_head',             'wp_print_head_scripts',         9     );
! add_action( 'wp_head',             'wp_generator'                         );
! add_action( 'wp_head',             'rel_canonical'                        );
! add_action( 'wp_footer',           'wp_print_footer_scripts'              );
! add_action( 'wp_head',             'wp_shortlink_wp_head',          10, 0 );
! add_action( 'template_redirect',   'wp_shortlink_header',           11, 0 );
  
  if ( isset( $_GET['replytocom'] ) )
!     add_filter( 'pre_option_blog_public', '__return_zero' );
  
  // Login actions
  add_action( 'login_head',          'wp_print_head_scripts',         9     );
! add_action( 'login_footer',        'wp_print_footer_scripts'              );
  add_action( 'login_init',          'send_frame_options_header',     10, 0 );
  
  // Feed Generator Tags
--- 176,227 ----
  add_filter( 'the_author',         'ent2ncr',      8 );
  
  // Misc filters
! add_filter( 'option_ping_sites',        'privacy_ping_filter'                 );
! add_filter( 'option_blog_charset',      '_wp_specialchars'                    ); // IMPORTANT: This must not be wp_specialchars() or esc_html() or it'll cause an infinite loop
! add_filter( 'option_home',              '_config_wp_home'                     );
! add_filter( 'option_siteurl',           '_config_wp_siteurl'                  );
! add_filter( 'tiny_mce_before_init',     '_mce_set_direction'                  );
! add_filter( 'pre_kses',                 'wp_pre_kses_less_than'               );
! add_filter( 'sanitize_title',           'sanitize_title_with_dashes',   10, 3 );
! add_action( 'check_comment_flood',      'check_comment_flood_db',       10, 3 );
! add_filter( 'comment_flood_filter',     'wp_throttle_comment_flood',    10, 3 );
! add_filter( 'pre_comment_content',      'wp_rel_nofollow',              15    );
! add_filter( 'comment_email',            'antispambot'                         );
! add_filter( 'option_tag_base',          '_wp_filter_taxonomy_base'            );
! add_filter( 'option_category_base',     '_wp_filter_taxonomy_base'            );
! add_filter( 'the_posts',                '_close_comments_for_old_posts', 10, 2);
! add_filter( 'comments_open',            '_close_comments_for_old_post', 10, 2 );
! add_filter( 'pings_open',               '_close_comments_for_old_post', 10, 2 );
! add_filter( 'editable_slug',            'urldecode'                           );
! add_filter( 'nav_menu_meta_box_object', '_wp_nav_menu_meta_box_object'        );
  
  // Actions
! add_action( 'wp_head',             'wp_enqueue_scripts',              1     );
! add_action( 'wp_head',             'feed_links',                      2     );
! add_action( 'wp_head',             'feed_links_extra',                3     );
! add_action( 'wp_head',             'rsd_link'                               );
! add_action( 'wp_head',             'wlwmanifest_link'                       );
  add_action( 'wp_head',             'adjacent_posts_rel_link_wp_head', 10, 0 );
! add_action( 'wp_head',             'locale_stylesheet'                      );
! add_action( 'publish_future_post', 'check_and_publish_future_post',   10, 1 );
! add_action( 'wp_head',             'noindex',                          1    );
! add_action( 'wp_head',             'wp_print_styles',                  8    );
! add_action( 'wp_head',             'wp_print_head_scripts',            9    );
! add_action( 'wp_head',             'wp_generator'                           );
! add_action( 'wp_head',             'rel_canonical'                          );
! add_action( 'wp_footer',           'wp_print_footer_scripts',         20    );
! add_action( 'wp_head',             'wp_shortlink_wp_head',            10, 0 );
! add_action( 'template_redirect',   'wp_shortlink_header',             11, 0 );
! add_action( 'wp_print_footer_scripts', '_wp_footer_scripts'                 );
! add_action( 'init',                'check_theme_switched',            99    );
! add_action( 'after_switch_theme',  '_wp_sidebars_changed'                   );
  
  if ( isset( $_GET['replytocom'] ) )
!     add_action( 'wp_head', 'wp_no_robots' );
  
  // Login actions
  add_action( 'login_head',          'wp_print_head_scripts',         9     );
! add_action( 'login_footer',        'wp_print_footer_scripts',       20    );
  add_action( 'login_init',          'send_frame_options_header',     10, 0 );
  
  // Feed Generator Tags
***************
*** 234,268 ****
  	add_action( 'sanitize_comment_cookies', 'wp_cron' );
  
  // 2 Actions 2 Furious
! add_action( 'do_feed_rdf',                'do_feed_rdf',             10, 1 );
! add_action( 'do_feed_rss',                'do_feed_rss',             10, 1 );
! add_action( 'do_feed_rss2',               'do_feed_rss2',            10, 1 );
! add_action( 'do_feed_atom',               'do_feed_atom',            10, 1 );
! add_action( 'do_pings',                   'do_all_pings',            10, 1 );
! add_action( 'do_robots',                  'do_robots'                      );
! add_action( 'sanitize_comment_cookies',   'sanitize_comment_cookies'       );
! add_action( 'admin_print_scripts',        'print_head_scripts',      20    );
! add_action( 'admin_print_footer_scripts', 'print_footer_scripts',    20    );
! add_action( 'admin_print_styles',         'print_admin_styles',      20    );
! add_action( 'init',                       'smilies_init',             5    );
! add_action( 'plugins_loaded',             'wp_maybe_load_widgets',    0    );
! add_action( 'plugins_loaded',             'wp_maybe_load_embeds',     0    );
! add_action( 'shutdown',                   'wp_ob_end_flush_all',      1    );
! add_action( 'pre_post_update',            'wp_save_post_revision'          );
! add_action( 'publish_post',               '_publish_post_hook',       5, 1 );
! add_action( 'save_post',                  '_save_post_hook',          5, 2 );
! add_action( 'transition_post_status',     '_transition_post_status',  5, 3 );
! add_action( 'comment_form', 'wp_comment_form_unfiltered_html_nonce'        );
! add_action( 'wp_scheduled_delete',        'wp_scheduled_delete'            );
! add_action( 'before_wp_tiny_mce',         'wp_print_editor_js'             );
! add_action( 'after_wp_tiny_mce',          'wp_preload_dialogs',      10, 1 );
! add_action( 'admin_init',                 'send_frame_options_header', 10, 0 );
! add_action( 'importer_scheduled_cleanup', 'wp_delete_attachment'           );
  
  // Navigation menu actions
! add_action( 'delete_post',                '_wp_delete_post_menu_item'      );
! add_action( 'delete_term',                '_wp_delete_tax_menu_item'       );
! add_action( 'transition_post_status', '_wp_auto_add_pages_to_menu',  10, 3 );
  
  // Post Thumbnail CSS class filtering
  add_action( 'begin_fetch_post_thumbnail_html', '_wp_post_thumbnail_class_filter_add'    );
--- 234,268 ----
  	add_action( 'sanitize_comment_cookies', 'wp_cron' );
  
  // 2 Actions 2 Furious
! add_action( 'do_feed_rdf',                'do_feed_rdf',                             10, 1 );
! add_action( 'do_feed_rss',                'do_feed_rss',                             10, 1 );
! add_action( 'do_feed_rss2',               'do_feed_rss2',                            10, 1 );
! add_action( 'do_feed_atom',               'do_feed_atom',                            10, 1 );
! add_action( 'do_pings',                   'do_all_pings',                            10, 1 );
! add_action( 'do_robots',                  'do_robots'                                      );
! add_action( 'sanitize_comment_cookies',   'sanitize_comment_cookies'                       );
! add_action( 'admin_print_scripts',        'print_head_scripts',                      20    );
! add_action( 'admin_print_footer_scripts', '_wp_footer_scripts'                             );
! add_action( 'admin_print_styles',         'print_admin_styles',                      20    );
! add_action( 'init',                       'smilies_init',                             5    );
! add_action( 'plugins_loaded',             'wp_maybe_load_widgets',                    0    );
! add_action( 'plugins_loaded',             'wp_maybe_load_embeds',                     0    );
! add_action( 'shutdown',                   'wp_ob_end_flush_all',                      1    );
! add_action( 'pre_post_update',            'wp_save_post_revision'                          );
! add_action( 'publish_post',               '_publish_post_hook',                       5, 1 );
! add_action( 'save_post',                  '_save_post_hook',                          5, 2 );
! add_action( 'transition_post_status',     '_transition_post_status',                  5, 3 );
! add_action( 'transition_post_status',     '_update_term_count_on_transition_post_status', 10, 3 );
! add_action( 'comment_form',               'wp_comment_form_unfiltered_html_nonce'          );
! add_action( 'wp_scheduled_delete',        'wp_scheduled_delete'                            );
! add_action( 'admin_init',                 'send_frame_options_header',               10, 0 );
! add_action( 'importer_scheduled_cleanup', 'wp_delete_attachment'                           );
! add_action( 'upgrader_scheduled_cleanup', 'wp_delete_attachment'                           );
  
  // Navigation menu actions
! add_action( 'delete_post',                '_wp_delete_post_menu_item'         );
! add_action( 'delete_term',                '_wp_delete_tax_menu_item'          );
! add_action( 'transition_post_status',     '_wp_auto_add_pages_to_menu', 10, 3 );
  
  // Post Thumbnail CSS class filtering
  add_action( 'begin_fetch_post_thumbnail_html', '_wp_post_thumbnail_class_filter_add'    );
